---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Clear values from a target instance

# Clear values from a target instance {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read

You can pass an empty value through a SOAP parameter to clear the respective value in
the target instance.

You can also pass an empty (null) value through the
\&allow_empty_value=true SOAP query parameter to clear the
respective value in the target instance.

For example, https://\<instance name\>.service-now.com/incident.do?SOAP\&allow_empty_value=true lets you pass
an empty value to the incident record in an instance.  
You can then enter lines like the following in the SOAP request:

    <assigned_to>value</assigned_to>
    <assignment_group>value</assignment_group>
    <category></category>

In the above example,

* `<assigned_to>value</assigned_to>` changes the value in the Assigned to field to the value specified in the SOAP request.
* `<assignment_group>value</assignment_group>` changes the value in the Assignment group field to the value specified in the SOAP request.
* `<category></category>` clears the value in the Category field.
{#clearing-values-target__ul_k3w_pn1_gdb}
**Related concepts**   

* [Use forms to limit or extend the query response](https://servicenow-prod.fluidtopics.net/m7tyIZhLJata4jEK0zNK0A "On occasion, there is a need to limit the number of field values that a SOAP query returns.")
* [Return the display value for reference variables](https://servicenow-prod.fluidtopics.net/ghcpgTLmrDFjbwT8JPlfZQ "When you query a record using a get or getRecords function, the instance returns all fields associated with that record. The fields are often reference fields that contain a sys_id for a record on another table.")
* [Retrieve journal entries using direct web services](https://servicenow-prod.fluidtopics.net/We_rrkdN~9_4C2eEVbCrFQ "To get the contents of a journal field, make a second soap request against the sys_journal_field table to pull the appropriate journal records back for the record in question.")
* [Retrieve choice fields using direct web services](https://servicenow-prod.fluidtopics.net/UKRQMVoU2VrWpJeY0VWVIw "To retrieve or set choice fields, use the choice Value, not the Label.")
* [Persist an HTTP session across all SOAP calls](https://servicenow-prod.fluidtopics.net/iS3ozZygbwJT8~rXNxSVcA "In circumstances when a SOAP client makes many calls in a short amount of time, you may want to re-use a single HTTP session for all SOAP calls.")  
**Related reference**   

* [SOAP direct web service API functions](https://servicenow-prod.fluidtopics.net/ScwF7nQVmMA5sgyQUQvOxg "The standard SOAP API is a set of small, globally defined functions that can be performed on a targeted resource.")

